org.eclipse.graphiti.ui.internal.editor

## Class GFPaletteRoot

- java.lang.Object
- - org.eclipse.gef.palette.PaletteEntry
  - - org.eclipse.gef.palette.PaletteContainer
    - - org.eclipse.gef.palette.PaletteRoot
      - - org.eclipse.graphiti.ui.internal.editor.GFPaletteRoot

    public class GFPaletteRoot
    extends org.eclipse.gef.palette.PaletteRoot

This PaletteRoot provides some standard-tools and adds them to the Palette.

Some of the standard-tools are: selection-tool, marque-tool, connection-tool, creation-tools.

### Field Summary

### Fields inherited from class org.eclipse.gef.palette.PaletteRoot

`PALETTE_TYPE_ROOT`

### Fields inherited from class org.eclipse.gef.palette.PaletteContainer

`PROPERTY_CHILDREN`

### Fields inherited from class org.eclipse.gef.palette.PaletteEntry

`PALETTE_TYPE_UNKNOWN, PERMISSION_FULL_MODIFICATION, PERMISSION_HIDE_ONLY, PERMISSION_LIMITED_MODIFICATION, PERMISSION_NO_MODIFICATION, PROPERTY_DEFAULT, PROPERTY_DESCRIPTION, PROPERTY_LABEL, PROPERTY_LARGE_ICON, PROPERTY_PARENT, PROPERTY_SMALL_ICON, PROPERTY_TYPE, PROPERTY_VISIBLE`

### Constructor Summary

Constructors
Constructor and Description
`GFPaletteRoot(IDiagramTypeProvider diagramTypeProvider)` Creates a new GFPaletteRoot for the diagram identified by the given `IDiagramTypeProvider`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `updatePaletteEntries()` Creates resp.

### Methods inherited from class org.eclipse.gef.palette.PaletteRoot

`acceptsType, getDefaultEntry, setDefaultEntry, toString`

### Methods inherited from class org.eclipse.gef.palette.PaletteContainer

`add, add, addAll, appendToSection, getChildren, moveDown, moveUp, remove, setChildren`

### Methods inherited from class org.eclipse.gef.palette.PaletteEntry

`addPropertyChangeListener, getDescription, getId, getLabel, getLargeIcon, getParent, getSmallIcon, getType, getUserModificationPermission, isVisible, removePropertyChangeListener, setDescription, setId, setLabel, setLargeIcon, setParent, setSmallIcon, setType, setUserModificationPermission, setVisible`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GFPaletteRoot

    public GFPaletteRoot(IDiagramTypeProvider diagramTypeProvider)

Creates a new GFPaletteRoot for the diagram identified by the given `IDiagramTypeProvider`. It is constructed by calling createModelIndependentTools() and createCreationTools().

Parameters:
  `diagramTypeProvider` - the diagram type provider

### Method Detail

#### updatePaletteEntries

    public void updatePaletteEntries()

Creates resp. updates the PaletteEntries. All old PaletteEntries will be removed and new ones will be created by calling the corresponding create-methods.